package com.a_quest.aqk2kdemo;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

import aqusrdic.AqUsrDic;

public class WordEditActivity extends Activity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_word_edit);

        Intent intent = getIntent();
        String surface = intent.getStringExtra("Surface");
        String yomi    = intent.getStringExtra("Yomi");
        int posCode = intent.getIntExtra("PosCode",5);  // default 3?

        ((TextView)findViewById(R.id.editSurface)).setText(surface);
        ((TextView)findViewById(R.id.editYomi)).setText(yomi);
        ((Spinner)findViewById(R.id.spinPosCode)).setSelection(posCode);

        findViewById(R.id.btnSet).setOnClickListener(this);
        findViewById(R.id.btnCancel).setOnClickListener(this);

    }

    public void onClick(View v){
        if (v != null) {
            switch (v.getId()) {
                case R.id.btnSet:
                    String surface =  ((TextView)findViewById(R.id.editSurface)).getText().toString();
                    String yomi =  ((TextView)findViewById(R.id.editYomi)).getText().toString();
                    int posCode = ((Spinner)findViewById(R.id.spinPosCode)).getSelectedItemPosition();
                    // 入力のチェックを行い、エラーのときはfinishしないでメッセージを出す
                    int iret = AqUsrDic.checkEntry(surface, yomi,posCode);
                    if(iret!=0){
                        Toast.makeText(this, "エラー:"+AqUsrDic.getLastError(), Toast.LENGTH_LONG).show();
                        break;
                    }
                    Intent intent = new Intent();
                    intent.putExtra("Surface",surface);
                    intent.putExtra("Yomi",yomi);
                    intent.putExtra("PosCode",posCode);
                    setResult(RESULT_OK, intent);
                    finish();
                    break;

                case R.id.btnCancel:
                    Intent intent2 = new Intent();
                    setResult(RESULT_CANCELED, intent2);
                    finish();
                    break;
                default:
                    break;
            }
        }
    }
}
